# Contributing to HyperXQL

Thank you for considering contributing to HyperXQL! This document provides guidelines for contributing to the project.

## How to Contribute

1. **Fork the Repository**
   - Fork the repository on GitHub
   - Clone your fork locally

2. **Create a Branch**
   - Create a branch from the `main` branch
   - Use a descriptive name for your branch (e.g., `feature/add-mysql-support` or `fix/column-type-detection`)

3. **Make Your Changes**
   - Ensure your code follows the project's coding style
   - Add or update tests as necessary
   - Update documentation as needed

4. **Test Your Changes**
   - Run the existing test suite to make sure you haven't broken anything
   - Add new tests for your functionality if applicable

5. **Submit a Pull Request**
   - Push your changes to your fork
   - Submit a pull request from your branch to the main repository
   - Provide a clear description of the changes and their purpose

## Code Style

- Follow PEP 8 style guidelines for Python code
- Use descriptive variable and function names
- Comment your code as necessary, especially for complex logic
- Write docstrings for all functions, classes, and modules

## Testing

- Write unit tests for new functionality
- Ensure all tests pass before submitting a pull request
- Consider edge cases and error conditions in your tests

## Documentation

- Update the README.md file if necessary
- Add or update docstrings for any modified or new functionality
- Consider adding examples for new features

## Issues and Feature Requests

- Use the GitHub issue tracker to report bugs or request features
- Check existing issues before creating a new one
- Provide detailed information when reporting bugs (steps to reproduce, expected vs. actual behavior)

## Code of Conduct

- Be respectful and considerate of others
- Provide constructive feedback
- Help maintain an inclusive and welcoming community

Thank you for contributing to HyperXQL!